using System;

namespace captcha.Designer
{
	// ------------------------------------------------------------------
	/// <summary>
	/// Supports the page parser in building a control and the child controls it contains.
	/// </summary>
	public class EmptyControlBuilder : System.Web.UI.ControlBuilder
	{
		// ------------------------------------------------------------------
		/// <summary>
		/// Obtains the Type for the control's children.
		/// </summary>
		/// <param name="tagName">The tag name of the child.</param>
		/// <param name="attribs">An array of attributes contained in the child control.</param>
		/// <returns>The Type of the specified control's child.</returns>
		public override Type GetChildControlType(string tagName, System.Collections.IDictionary attribs)
		{
			// no child controls allowed
			return null;
		}

		// ------------------------------------------------------------------
		/// <summary>
		/// Adds literal content to a control.
		/// </summary>
		/// <param name="s">The content to add to the control.</param>
		public override void AppendLiteralString(string s) 
		{
			// Ignores literals between PageView-s
		}

		// ------------------------------------------------------------------
		/// <summary>
		/// Determines whether the white space literals in the control must be processed or ignored.
		/// </summary>
		/// <returns>true if the white space literals in the control must be processed; otherwise, false.</returns>
		public override bool AllowWhitespaceLiterals() 
		{
			// ignorujeme whitespace
			return false;
		}

		// ------------------------------------------------------------------
		/// <summary>
		/// 
		/// </summary>
		/// <returns></returns>
		public override bool HasBody()
		{
			// no body
			return false;
		}



	} // public class
} // namespace
